summaryrefslogtreecommitdiff
path: root/gnome-base
diff options
context:
space:
mode:
Diffstat (limited to 'gnome-base')
-rw-r--r--gnome-base/gnome-common/gnome-common-3.18.0-r1.ebuild4
-rw-r--r--gnome-base/gnome-control-center/Manifest4
-rw-r--r--gnome-base/gnome-control-center/gnome-control-center-3.36.5.ebuild180
-rw-r--r--gnome-base/gnome-control-center/gnome-control-center-3.38.3.ebuild176
-rw-r--r--gnome-base/gnome-desktop/Manifest6
-rw-r--r--gnome-base/gnome-desktop/gnome-desktop-3.36.7.ebuild77
-rw-r--r--gnome-base/gnome-desktop/gnome-desktop-3.36.8.ebuild (renamed from gnome-base/gnome-desktop/gnome-desktop-3.36.5.ebuild)0
-rw-r--r--gnome-base/gnome-desktop/gnome-desktop-3.38.2.ebuild71
-rw-r--r--gnome-base/gnome-desktop/gnome-desktop-3.38.3.ebuild (renamed from gnome-base/gnome-desktop/gnome-desktop-3.38.1.ebuild)2
-rw-r--r--gnome-base/gnome-menus/gnome-menus-3.36.0.ebuild4
-rw-r--r--gnome-base/gnome-mime-data/gnome-mime-data-2.18.0.ebuild4
-rw-r--r--gnome-base/gnome-shell/Manifest1
-rw-r--r--gnome-base/gnome-shell/gnome-shell-3.38.3.ebuild186
-rw-r--r--gnome-base/gnome-vfs/gnome-vfs-2.24.4-r5.ebuild4
-rw-r--r--gnome-base/gsettings-desktop-schemas/gsettings-desktop-schemas-3.34.0.ebuild2
-rw-r--r--gnome-base/gsettings-desktop-schemas/gsettings-desktop-schemas-3.36.1.ebuild2
-rw-r--r--gnome-base/libglade/libglade-2.6.4-r3.ebuild4
-rw-r--r--gnome-base/libgnomecanvas/libgnomecanvas-2.30.3-r1.ebuild4
-rw-r--r--gnome-base/librsvg/Manifest1
-rw-r--r--gnome-base/librsvg/librsvg-2.40.21.ebuild53
-rw-r--r--gnome-base/librsvg/librsvg-2.50.2.ebuild94
21 files changed, 684 insertions, 195 deletions
diff --git a/gnome-base/gnome-common/gnome-common-3.18.0-r1.ebuild b/gnome-base/gnome-common/gnome-common-3.18.0-r1.ebuild
index 76697f22f2d2..3a0be4bd5367 100644
--- a/gnome-base/gnome-common/gnome-common-3.18.0-r1.ebuild
+++ b/gnome-base/gnome-common/gnome-common-3.18.0-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -9,7 +9,7 @@ HOMEPAGE="https://git.gnome.org/browse/gnome-common"
LICENSE="GPL-3"
SLOT="3"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
RDEPEND=""
DEPEND=""
diff --git a/gnome-base/gnome-control-center/Manifest b/gnome-base/gnome-control-center/Manifest
index bcaa5cab1642..33b99d7b9e97 100644
--- a/gnome-base/gnome-control-center/Manifest
+++ b/gnome-base/gnome-control-center/Manifest
@@ -1,2 +1,6 @@
DIST gnome-control-center-3.36.4-patchset.tar.xz 12320 BLAKE2B a387d793186c898a14d54060214fbd075389afe402b1ad937a00295eed339a529863752324ba26f691ad468f214acda60be5bc23167d95fdf842f26a24442e55 SHA512 6f11425f13590e7850114613efa82e8762bd62687839c9374d2618ab81a08f1abb871d2a8f452811e46fa53af7007167f7b9ca68e0822daee22e9de33e0be94b
DIST gnome-control-center-3.36.4.tar.xz 6304992 BLAKE2B 7c52faf2a9a0f642f24f59e2035ae57e7816d69c8ee639cde76db7d69f8063c9eff2e068b95710d13316c267b5cf6c6647cb1359ac592968b1c5021730081130 SHA512 e6c398256215a139042e5bb0db7c83fc0e39f99ab893760e37ba303ec4c932a37da352b92487ed1bdc61f2e8f61352c752b48ab549269e3f84e21a71cdf32abf
+DIST gnome-control-center-3.36.5-patchset.tar.xz 7288 BLAKE2B 56f71bc1a8c9f5a62e10d8484b085a5a6024fc3c98f76980adb390806f8daeaf1deefc7d843e702a1813e46196963f3342c99fde8441127e95b5db1215270fdf SHA512 77162ff6ad5b52ab9a90c09d6bd8ec35ea0e7f8f00a7507c793e7955fabd37e7c732b302a6ec835e54fc9612c7aca5262c30e2f0de53cb2c22475ef965aebfd0
+DIST gnome-control-center-3.36.5.tar.xz 6304804 BLAKE2B c4e95784ff1877e716f23ea421d0d4997691e2aa15ce24eae35d9ecac167c48443e8f5180ff3359be75914512c240e4ef2ef8a2fdc51f1c6b15275eadef2c3bb SHA512 4a5470dc18366172198a68f8e0598647c0cae1fbcc00eec26dccf7320f0e3aca4a7326fbf0e616fd7e44ab1faacefaa9342322efcf79039122216c644c490b52
+DIST gnome-control-center-3.38.3-patchset.tar.xz 7308 BLAKE2B 72acdb825d48c7077d15f7273765db2ccbef89a839466a4482d9f6ae9eae3a2144556a048f2a6e146ea4e3435c13f0a72bf499c44d34bcbed505d6186d8bf008 SHA512 2498abd83e0100efa4c83886ce3e7f7d4468e41aab12c5338987832cb305c215abe75b4fff65217511bbe174b6b1b601af988c5588523e0346855aba7842092b
+DIST gnome-control-center-3.38.3.tar.xz 6434672 BLAKE2B e95a9a1c487e1a3d6a0e64c61fd9502d1983827ff0a26ed03a0e48339917ae49855016ac3699c3940764185041659d865db51fd95e19bbb588c62277218c609d SHA512 25b8ff6e44be5e679666ae44e12deedf5dbef9317089381cd2075efc2321abca91ac1ad268242fb16a0b7f411ad98d9ab50073f745060d6525e0648585333e3e
diff --git a/gnome-base/gnome-control-center/gnome-control-center-3.36.5.ebuild b/gnome-base/gnome-control-center/gnome-control-center-3.36.5.ebuild
new file mode 100644
index 000000000000..614d810ed14d
--- /dev/null
+++ b/gnome-base/gnome-control-center/gnome-control-center-3.36.5.ebuild
@@ -0,0 +1,180 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit gnome.org gnome2-utils meson python-any-r1 xdg
+
+DESCRIPTION="GNOME's main interface to configure various aspects of the desktop"
+HOMEPAGE="https://git.gnome.org/browse/gnome-control-center/"
+SRC_URI+=" https://dev.gentoo.org/~mattst88/distfiles/${P}-patchset.tar.xz"
+
+LICENSE="GPL-2+"
+SLOT="2"
+IUSE="+bluetooth +cups debug elogind flickr +gnome-online-accounts +ibus input_devices_wacom kerberos networkmanager systemd test v4l wayland"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="
+ flickr? ( gnome-online-accounts )
+ ^^ ( elogind systemd )
+" # Theoretically "?? ( elogind systemd )" is fine too, lacking some functionality at runtime, but needs testing if handled gracefully enough
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~x86"
+
+# kerberos unfortunately means mit-krb5; build fails with heimdal
+# display panel requires colord and gnome-settings-daemon[colord]
+# wacom panel requires gsd-enums.h from gsd at build time, probably also runtime support
+# printer panel requires cups and smbclient (the latter is not patched yet to be separately optional)
+# First block is toplevel meson.build deps in order of occurrence (plus deeper deps if in same conditional). Second block is dependency() from subdir meson.builds, sorted by directory name occurrence order
+DEPEND="
+ >=gui-libs/libhandy-0.0.9:0.0=
+ gnome-online-accounts? ( >=net-libs/gnome-online-accounts-3.25.3:= )
+ >=media-sound/pulseaudio-2.0[glib]
+ >=sys-apps/accountsservice-0.6.39
+ >=x11-misc/colord-0.1.34:0=
+ >=x11-libs/gdk-pixbuf-2.23.0:2
+ >=dev-libs/glib-2.56.0:2
+ >=gnome-base/gnome-desktop-3.27.90:3=
+ >=gnome-base/gnome-settings-daemon-3.27.90[colord,input_devices_wacom?]
+ >=gnome-base/gsettings-desktop-schemas-3.31.0
+ dev-libs/libxml2:2
+ >=sys-auth/polkit-0.114
+ >=sys-power/upower-0.99.8:=
+ >=dev-libs/libgudev-232
+ x11-libs/libX11
+ >=x11-libs/libXi-1.2
+ media-libs/libepoxy
+ flickr? ( >=media-libs/grilo-0.3.0:0.3= )
+ >=x11-libs/gtk+-3.22.0:3[X,wayland=]
+ cups? (
+ >=net-print/cups-1.7[dbus]
+ >=net-fs/samba-4.0.0[client]
+ )
+ v4l? (
+ >=media-video/cheese-3.28.0 )
+ ibus? ( >=app-i18n/ibus-1.5.2 )
+ networkmanager? (
+ >=net-libs/libnma-1.8.0
+ >=net-misc/networkmanager-1.12.0:=[modemmanager]
+ >=net-misc/modemmanager-0.7.990 )
+ bluetooth? ( >=net-wireless/gnome-bluetooth-3.18.2:= )
+ input_devices_wacom? ( >=dev-libs/libwacom-0.27 )
+ kerberos? ( app-crypt/mit-krb5 )
+
+ x11-libs/cairo[glib]
+ >=x11-libs/colord-gtk-0.1.24
+ net-libs/libsoup:2.4
+ media-libs/fontconfig
+ gnome-base/libgtop:2=
+ >=sys-fs/udisks-2.1.8:2
+ app-crypt/libsecret
+ media-libs/gsound
+ >=dev-libs/libpwquality-1.2.2
+"
+# systemd/elogind USE flagged because package manager will potentially try to satisfy a
+# "|| ( systemd ( elogind openrc-settingsd)" via systemd if openrc-settingsd isn't already installed.
+# libgnomekbd needed only for gkbd-keyboard-display tool
+# gnome-color-manager needed for gcm-calibrate and gcm-viewer calls from color panel
+# <gnome-color-manager-3.1.2 has file collisions with g-c-c-3.1.x
+#
+# mouse panel needs a concrete set of X11 drivers at runtime, bug #580474
+# Also we need newer driver versions to allow wacom and libinput drivers to
+# not collide
+#
+# system-config-printer provides org.fedoraproject.Config.Printing service and interface
+# cups-pk-helper provides org.opensuse.cupspkhelper.mechanism.all-edit policykit helper policy
+RDEPEND="${DEPEND}
+ systemd? ( >=sys-apps/systemd-31 )
+ elogind? ( app-admin/openrc-settingsd
+ sys-auth/elogind )
+ x11-themes/adwaita-icon-theme
+ >=gnome-extra/gnome-color-manager-3.1.2
+ cups? (
+ app-admin/system-config-printer
+ net-print/cups-pk-helper )
+ >=gnome-base/libgnomekbd-3
+ wayland? ( dev-libs/libinput )
+ !wayland? (
+ >=x11-drivers/xf86-input-libinput-0.19.0
+ input_devices_wacom? ( >=x11-drivers/xf86-input-wacom-0.33.0 ) )
+ flickr? ( media-plugins/grilo-plugins:0.3[flickr,gnome-online-accounts] )
+
+ !<gnome-base/gdm-2.91.94
+ !gnome-extra/gnome-media[pulseaudio]
+ !<gnome-extra/gnome-media-2.32.0-r300
+ !<net-wireless/gnome-bluetooth-3.3.2
+"
+# PDEPEND to avoid circular dependency; gnome-session-check-accelerated called by info panel
+# gnome-session-2.91.6-r1 also needed so that 10-user-dirs-update is run at login
+PDEPEND=">=gnome-base/gnome-session-2.91.6-r1
+ networkmanager? ( gnome-extra/nm-applet )" # networking panel can call into nm-connection-editor
+
+BDEPEND="
+ dev-libs/libxslt
+ app-text/docbook-xsl-stylesheets
+ app-text/docbook-xml-dtd:4.2
+ x11-base/xorg-proto
+ dev-libs/libxml2:2
+ dev-util/gdbus-codegen
+ dev-util/glib-utils
+ >=sys-devel/gettext-0.19.8
+ virtual/pkgconfig
+ test? ( $(python_gen_any_dep '
+ dev-python/dbusmock[${PYTHON_USEDEP}]
+ ') )
+"
+
+PATCHES=(
+ # Patches from gnome-3-36 branch on top of 3.36.4
+ # Makes some panels and dependencies optional
+ # https://bugzilla.gnome.org/686840, 697478, 700145
+ # Fix some absolute paths to be appropriate for Gentoo
+ "${WORKDIR}"/patches/
+)
+
+python_check_deps() {
+ use test && \
+ has_version "dev-python/dbusmock[${PYTHON_USEDEP}]"
+}
+
+pkg_setup() {
+ use test && python-any-r1_pkg_setup
+}
+
+src_prepare() {
+ xdg_src_prepare
+ # Mark python tests with shebang executable, so that meson will launch them directly, instead
+ # of via its own python-single-r1 version, which might not match what we get from python_check_deps
+ chmod a+x tests/network/test-network-panel.py tests/datetime/test-datetime.py || die
+}
+
+src_configure() {
+ local emesonargs=(
+ $(meson_use bluetooth)
+ $(meson_use v4l cheese)
+ -Dcups=$(usex cups enabled disabled)
+ -Ddocumentation=true # manpage
+ -Dgoa=$(usex gnome-online-accounts enabled disabled)
+ -Dgrilo=$(usex flickr enabled disabled)
+ $(meson_use ibus)
+ -Dkerberos=$(usex kerberos enabled disabled)
+ $(meson_use networkmanager network_manager)
+ -Dprivileged_group=wheel
+ -Dsnap=false
+ $(meson_use test tests)
+ $(meson_use debug tracing)
+ $(meson_use input_devices_wacom wacom)
+ #$(meson_use wayland) # doesn't do anything in 3.34 and 3.36 due to unified gudev handling code
+ # bashcompletions installed to $datadir/bash-completion/completions by v3.28.2, which is the same as $(get_bashcompdir)
+ )
+ meson_src_configure
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+ gnome2_schemas_update
+}
+
+pkg_postrm() {
+ xdg_pkg_postrm
+ gnome2_schemas_update
+}
diff --git a/gnome-base/gnome-control-center/gnome-control-center-3.38.3.ebuild b/gnome-base/gnome-control-center/gnome-control-center-3.38.3.ebuild
new file mode 100644
index 000000000000..e8bdb3c85783
--- /dev/null
+++ b/gnome-base/gnome-control-center/gnome-control-center-3.38.3.ebuild
@@ -0,0 +1,176 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit gnome.org gnome2-utils meson python-any-r1 xdg
+
+DESCRIPTION="GNOME's main interface to configure various aspects of the desktop"
+HOMEPAGE="https://git.gnome.org/browse/gnome-control-center/"
+SRC_URI+=" https://dev.gentoo.org/~mattst88/distfiles/${P}-patchset.tar.xz"
+
+LICENSE="GPL-2+"
+SLOT="2"
+IUSE="+bluetooth +cups debug elogind flickr +gnome-online-accounts +ibus input_devices_wacom kerberos networkmanager systemd test v4l wayland"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="
+ flickr? ( gnome-online-accounts )
+ ^^ ( elogind systemd )
+" # Theoretically "?? ( elogind systemd )" is fine too, lacking some functionality at runtime, but needs testing if handled gracefully enough
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~x86"
+
+# kerberos unfortunately means mit-krb5; build fails with heimdal
+# display panel requires colord and gnome-settings-daemon[colord]
+# wacom panel requires gsd-enums.h from gsd at build time, probably also runtime support
+# printer panel requires cups and smbclient (the latter is not patched yet to be separately optional)
+# First block is toplevel meson.build deps in order of occurrence (plus deeper deps if in same conditional). Second block is dependency() from subdir meson.builds, sorted by directory name occurrence order
+DEPEND="
+ >=gui-libs/libhandy-1:1=
+ gnome-online-accounts? ( >=net-libs/gnome-online-accounts-3.25.3:= )
+ >=media-sound/pulseaudio-2.0[glib]
+ >=sys-apps/accountsservice-0.6.39
+ >=x11-misc/colord-0.1.34:0=
+ >=x11-libs/gdk-pixbuf-2.23.0:2
+ >=dev-libs/glib-2.56.0:2
+ >=gnome-base/gnome-desktop-3.27.90:3=
+ >=gnome-base/gnome-settings-daemon-3.27.90[colord,input_devices_wacom?]
+ >=gnome-base/gsettings-desktop-schemas-3.37.0
+ dev-libs/libxml2:2
+ >=sys-auth/polkit-0.114
+ >=sys-power/upower-0.99.8:=
+ >=dev-libs/libgudev-232
+ x11-libs/libX11
+ >=x11-libs/libXi-1.2
+ media-libs/libepoxy
+ flickr? ( >=media-libs/grilo-0.3.0:0.3= )
+ >=x11-libs/gtk+-3.22.0:3[X,wayland=]
+ cups? (
+ >=net-print/cups-1.7[dbus]
+ >=net-fs/samba-4.0.0[client]
+ )
+ v4l? (
+ >=media-video/cheese-3.28.0 )
+ ibus? ( >=app-i18n/ibus-1.5.2 )
+ networkmanager? (
+ >=net-libs/libnma-1.8.0
+ >=net-misc/networkmanager-1.20.0:=[modemmanager]
+ >=net-misc/modemmanager-0.7.990 )
+ bluetooth? ( >=net-wireless/gnome-bluetooth-3.18.2:= )
+ input_devices_wacom? ( >=dev-libs/libwacom-0.27 )
+ kerberos? ( app-crypt/mit-krb5 )
+
+ x11-libs/cairo[glib]
+ >=x11-libs/colord-gtk-0.1.24
+ net-libs/libsoup:2.4
+ media-libs/fontconfig
+ gnome-base/libgtop:2=
+ >=sys-fs/udisks-2.1.8:2
+ app-crypt/libsecret
+ media-libs/gsound
+ >=dev-libs/libpwquality-1.2.2
+"
+# systemd/elogind USE flagged because package manager will potentially try to satisfy a
+# "|| ( systemd ( elogind openrc-settingsd)" via systemd if openrc-settingsd isn't already installed.
+# libgnomekbd needed only for gkbd-keyboard-display tool
+# gnome-color-manager needed for gcm-calibrate and gcm-viewer calls from color panel
+# <gnome-color-manager-3.1.2 has file collisions with g-c-c-3.1.x
+#
+# mouse panel needs a concrete set of X11 drivers at runtime, bug #580474
+# Also we need newer driver versions to allow wacom and libinput drivers to
+# not collide
+#
+# system-config-printer provides org.fedoraproject.Config.Printing service and interface
+# cups-pk-helper provides org.opensuse.cupspkhelper.mechanism.all-edit policykit helper policy
+RDEPEND="${DEPEND}
+ systemd? ( >=sys-apps/systemd-31 )
+ elogind? ( app-admin/openrc-settingsd
+ sys-auth/elogind )
+ x11-themes/adwaita-icon-theme
+ >=gnome-extra/gnome-color-manager-3.1.2
+ cups? (
+ app-admin/system-config-printer
+ net-print/cups-pk-helper )
+ >=gnome-base/libgnomekbd-3
+ wayland? ( dev-libs/libinput )
+ !wayland? (
+ >=x11-drivers/xf86-input-libinput-0.19.0
+ input_devices_wacom? ( >=x11-drivers/xf86-input-wacom-0.33.0 ) )
+ flickr? ( media-plugins/grilo-plugins:0.3[flickr,gnome-online-accounts] )
+"
+# PDEPEND to avoid circular dependency; gnome-session-check-accelerated called by info panel
+# gnome-session-2.91.6-r1 also needed so that 10-user-dirs-update is run at login
+PDEPEND=">=gnome-base/gnome-session-2.91.6-r1
+ networkmanager? ( gnome-extra/nm-applet )" # networking panel can call into nm-connection-editor
+
+BDEPEND="
+ dev-libs/libxslt
+ app-text/docbook-xsl-stylesheets
+ app-text/docbook-xml-dtd:4.2
+ x11-base/xorg-proto
+ dev-libs/libxml2:2
+ dev-util/gdbus-codegen
+ dev-util/glib-utils
+ >=sys-devel/gettext-0.19.8
+ virtual/pkgconfig
+ test? ( $(python_gen_any_dep '
+ dev-python/dbusmock[${PYTHON_USEDEP}]
+ ') )
+"
+
+PATCHES=(
+ # Patches from gnome-3-38 branch on top of 3.38.3
+ # Makes some panels and dependencies optional
+ # https://bugzilla.gnome.org/686840, 697478, 700145
+ # Fix some absolute paths to be appropriate for Gentoo
+ "${WORKDIR}"/patches/
+)
+
+python_check_deps() {
+ use test && \
+ has_version "dev-python/dbusmock[${PYTHON_USEDEP}]"
+}
+
+pkg_setup() {
+ use test && python-any-r1_pkg_setup
+}
+
+src_prepare() {
+ xdg_src_prepare
+ # Mark python tests with shebang executable, so that meson will launch them directly, instead
+ # of via its own python-single-r1 version, which might not match what we get from python_check_deps
+ chmod a+x tests/network/test-network-panel.py tests/datetime/test-datetime.py || die
+}
+
+src_configure() {
+ local emesonargs=(
+ $(meson_use bluetooth)
+ $(meson_use v4l cheese)
+ -Dcups=$(usex cups enabled disabled)
+ -Ddocumentation=true # manpage
+ -Dgoa=$(usex gnome-online-accounts enabled disabled)
+ -Dgrilo=$(usex flickr enabled disabled)
+ $(meson_use ibus)
+ -Dkerberos=$(usex kerberos enabled disabled)
+ -Dmalcontent=false # unpackaged
+ $(meson_use networkmanager network_manager)
+ -Dprivileged_group=wheel
+ -Dsnap=false
+ $(meson_use test tests)
+ $(meson_use debug tracing)
+ $(meson_use input_devices_wacom wacom)
+ #$(meson_use wayland) # doesn't do anything in 3.34 and 3.36 due to unified gudev handling code
+ # bashcompletions installed to $datadir/bash-completion/completions by v3.28.2, which is the same as $(get_bashcompdir)
+ )
+ meson_src_configure
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+ gnome2_schemas_update
+}
+
+pkg_postrm() {
+ xdg_pkg_postrm
+ gnome2_schemas_update
+}
diff --git a/gnome-base/gnome-desktop/Manifest b/gnome-base/gnome-desktop/Manifest
index 7d6145586cf0..ee158e7b99aa 100644
--- a/gnome-base/gnome-desktop/Manifest
+++ b/gnome-base/gnome-desktop/Manifest
@@ -1,4 +1,2 @@
-DIST gnome-desktop-3.36.5.tar.xz 738956 BLAKE2B 6c419df487e908f57a1dc8798a8dfe8b574d8c5c9aa5d83e45aed233ba856ba398367a990aa83fb1b8966aad02c868cd0e41805908863ea8fef24cc3ade3687c SHA512 0b5ad42c0832d58552270e9e24dabf56668c4fbb84d07812e4a2a34cff0a67344a7c8ee963a53a703b2e4bb28c67035bf2ce854ea271194511dc66e051481b1b
-DIST gnome-desktop-3.36.7.tar.xz 739284 BLAKE2B fb64db72883ca6b5001b519f6ce3b5b26605e081530ff27728bc565e5d3ce832281adf3d10107e74028d14d9d1e5fa64f8e5d447c13690ff67aa3d2c2816c2e8 SHA512 20e3566ce1c36399a7fa359dd218f0357e1deef54ad613ce825d19f9266d98ed03c5ae59843100b36dcc6b3cdee8479ea9403514eb39e1f32d9b1fd4e53a7679
-DIST gnome-desktop-3.38.1.tar.xz 745400 BLAKE2B 872b0cdd993ed8f8865ec02e8f4e818657f526caebb3cd1b772c1182a6655d1502f454b94acb0a1dc9e3a1b8f8b8308c5dcee7933a63600d7f8d93fa3876a1d2 SHA512 b3927f0b8571d2ecb528dbe3e096e816e4e90333ce4f1ab8682c8682bbaaf5fc3484dc0944a9437aca40036d29b0feace8ed3954fb17c0bfd7ce503c99af830b
-DIST gnome-desktop-3.38.2.tar.xz 745252 BLAKE2B cdbc3ae5bf78dfed0dcedfd83c01ab13f551c312d4eb5e680a9e22932d55ee9cf9334bec84cd99186d43afcf3fe707a12b469409d5c2094a8bbd8a1d36a75ed2 SHA512 93e98c10cac0f1c035af33fc61f945dfdbe12e88e4c42d44b5ba0570f8d81bb3f40f5e0d9fd6c4e4d9faf674f38ded0fc99dfffd57b824d62b92368df6239da8
+DIST gnome-desktop-3.36.8.tar.xz 739236 BLAKE2B 378cf551787863543e30b0e69dd7447a5a9fd1026c3c85f32f140874658f803e6e8d2a82c79a1a9c4aadd08043905f1b0486e900596e855c2650248ac9478d01 SHA512 d9a447ec1c34e98d19ed6f5ef7e48f19d89009bd20368e2d731ff0cea30adc2dea6c0293df9b07f39e4573035edd25815ccd7d740f09ba421ebee74b7c8c90a2
+DIST gnome-desktop-3.38.3.tar.xz 745372 BLAKE2B d5df6d8bead6f65f655c7fbb65ea07937250318ee1fdc3e15c7d74a6e5933389640a06d162079dfce0137db11ceb67b4d86dcff787ecee9dbbbdf750e7aaa252 SHA512 023121316d308d8d69a26bd595657f2d7471da82395c7208cdd642a5e58927d2af05b27b6a0e52eaa10f9fa5a27c1146d5496c042ae3a9cf7e134875d3b2c84f
diff --git a/gnome-base/gnome-desktop/gnome-desktop-3.36.7.ebuild b/gnome-base/gnome-desktop/gnome-desktop-3.36.7.ebuild
deleted file mode 100644
index e7951e7ba9c2..000000000000
--- a/gnome-base/gnome-desktop/gnome-desktop-3.36.7.ebuild
+++ /dev/null
@@ -1,77 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-inherit gnome.org gnome2-utils meson virtualx xdg
-
-DESCRIPTION="Library with common API for various GNOME modules"
-HOMEPAGE="https://gitlab.gnome.org/GNOME/gnome-desktop/"
-
-LICENSE="GPL-2+ LGPL-2+ FDL-1.1+"
-SLOT="3/19" # subslot = libgnome-desktop-3 soname version
-IUSE="debug gtk-doc +introspection seccomp systemd udev"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~x86-solaris"
-
-# cairo[X] needed for gnome-bg
-COMMON_DEPEND="
- >=x11-libs/gdk-pixbuf-2.36.5:2[introspection?]
- >=x11-libs/gtk+-3.3.6:3[X,introspection?]
- >=dev-libs/glib-2.53.0:2
- >=gnome-base/gsettings-desktop-schemas-3.27.0[introspection?]
- x11-misc/xkeyboard-config
- app-text/iso-codes
- x11-libs/libX11
- systemd? ( sys-apps/systemd:= )
- udev? (
- sys-apps/hwids
- virtual/libudev:= )
- seccomp? ( sys-libs/libseccomp )
-
- x11-libs/cairo:=[X]
- introspection? ( >=dev-libs/gobject-introspection-1.54:= )
-"
-DEPEND="${COMMON_DEPEND}
- media-libs/fontconfig
-"
-RDEPEND="${COMMON_DEPEND}
- seccomp? ( sys-apps/bubblewrap )
-"
-BDEPEND="
- app-text/docbook-xml-dtd:4.1.2
- dev-util/gdbus-codegen
- gtk-doc? ( >=dev-util/gtk-doc-1.14 )
- dev-util/itstool
- >=sys-devel/gettext-0.19.8
- x11-base/xorg-proto
- virtual/pkgconfig
-"
-# Includes X11/Xatom.h in libgnome-desktop/gnome-bg.c which comes from xorg-proto
-
-PATCHES=(
- "${FILESDIR}"/3.32.2-optional-introspection.patch # add introspection meson option
-)
-
-src_prepare() {
- # Don't build manual test programs that will never get run
- sed -i -e "/'test-.*'/d" libgnome-desktop/meson.build || die
- xdg_src_prepare
-}
-
-src_configure() {
- local emesonargs=(
- -Dgnome_distributor=Gentoo
- -Ddate_in_gnome_version=true
- -Ddesktop_docs=true
- $(meson_use debug debug_tools)
- $(meson_use introspection)
- $(meson_feature udev)
- $(meson_feature systemd)
- $(meson_use gtk-doc gtk_doc)
- -Dinstalled_tests=false
- )
- meson_src_configure
-}
-
-src_test() {
- virtx meson_src_test
-}
diff --git a/gnome-base/gnome-desktop/gnome-desktop-3.36.5.ebuild b/gnome-base/gnome-desktop/gnome-desktop-3.36.8.ebuild
index bcd26befee5f..bcd26befee5f 100644
--- a/gnome-base/gnome-desktop/gnome-desktop-3.36.5.ebuild
+++ b/gnome-base/gnome-desktop/gnome-desktop-3.36.8.ebuild
diff --git a/gnome-base/gnome-desktop/gnome-desktop-3.38.2.ebuild b/gnome-base/gnome-desktop/gnome-desktop-3.38.2.ebuild
deleted file mode 100644
index f2127cb11f3b..000000000000
--- a/gnome-base/gnome-desktop/gnome-desktop-3.38.2.ebuild
+++ /dev/null
@@ -1,71 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-inherit gnome.org gnome2-utils meson xdg
-
-DESCRIPTION="Library with common API for various GNOME modules"
-HOMEPAGE="https://gitlab.gnome.org/GNOME/gnome-desktop/"
-
-LICENSE="GPL-2+ LGPL-2+ FDL-1.1+"
-SLOT="3/19" # subslot = libgnome-desktop-3 soname version
-IUSE="debug gtk-doc +introspection seccomp systemd udev"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~x86-solaris"
-
-COMMON_DEPEND="
- >=x11-libs/gdk-pixbuf-2.36.5:2[introspection?]
- >=x11-libs/gtk+-3.3.6:3[X,introspection?]
- >=dev-libs/glib-2.53.0:2
- >=gnome-base/gsettings-desktop-schemas-3.27.0[introspection?]
- x11-misc/xkeyboard-config
- app-text/iso-codes
- systemd? ( sys-apps/systemd:= )
- udev? (
- sys-apps/hwids
- virtual/libudev:= )
- seccomp? ( sys-libs/libseccomp )
-
- x11-libs/cairo:=
- introspection? ( >=dev-libs/gobject-introspection-1.54:= )
-"
-DEPEND="${COMMON_DEPEND}
- media-libs/fontconfig
-"
-RDEPEND="${COMMON_DEPEND}
- seccomp? ( sys-apps/bubblewrap )
-"
-BDEPEND="
- app-text/docbook-xml-dtd:4.1.2
- dev-util/gdbus-codegen
- gtk-doc? ( >=dev-util/gtk-doc-1.14 )
- dev-util/itstool
- >=sys-devel/gettext-0.19.8
- x11-base/xorg-proto
- virtual/pkgconfig
-"
-# Includes X11/Xatom.h in libgnome-desktop/gnome-bg.c which comes from xorg-proto
-
-PATCHES=(
- "${FILESDIR}"/3.32.2-optional-introspection.patch # add introspection meson option
-)
-
-src_prepare() {
- # Don't build manual test programs that will never get run
- sed -i -e "/'test-.*'/d" libgnome-desktop/meson.build || die
- xdg_src_prepare
-}
-
-src_configure() {
- local emesonargs=(
- -Dgnome_distributor=Gentoo
- -Ddate_in_gnome_version=true
- -Ddesktop_docs=true
- $(meson_use debug debug_tools)
- $(meson_use introspection)
- $(meson_feature udev)
- $(meson_feature systemd)
- $(meson_use gtk-doc gtk_doc)
- -Dinstalled_tests=false
- )
- meson_src_configure
-}
diff --git a/gnome-base/gnome-desktop/gnome-desktop-3.38.1.ebuild b/gnome-base/gnome-desktop/gnome-desktop-3.38.3.ebuild
index f2127cb11f3b..6ec27d919253 100644
--- a/gnome-base/gnome-desktop/gnome-desktop-3.38.1.ebuild
+++ b/gnome-base/gnome-desktop/gnome-desktop-3.38.3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
diff --git a/gnome-base/gnome-menus/gnome-menus-3.36.0.ebuild b/gnome-base/gnome-menus/gnome-menus-3.36.0.ebuild
index 5c517450894a..7f174aad752c 100644
--- a/gnome-base/gnome-menus/gnome-menus-3.36.0.ebuild
+++ b/gnome-base/gnome-menus/gnome-menus-3.36.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="6"
@@ -10,7 +10,7 @@ HOMEPAGE="https://gitlab.gnome.org/GNOME/gnome-menus"
LICENSE="GPL-2+ LGPL-2+"
SLOT="3"
-KEYWORDS="~alpha amd64 ~arm ~ia64 ppc ~ppc64 ~sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x86-solaris"
+KEYWORDS="~alpha amd64 ~arm ~ia64 ppc ~ppc64 ~sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-solaris"
IUSE="+introspection test"
RESTRICT="!test? ( test )"
diff --git a/gnome-base/gnome-mime-data/gnome-mime-data-2.18.0.ebuild b/gnome-base/gnome-mime-data/gnome-mime-data-2.18.0.ebuild
index 756fee3d0937..5ec888316fd8 100644
--- a/gnome-base/gnome-mime-data/gnome-mime-data-2.18.0.ebuild
+++ b/gnome-base/gnome-mime-data/gnome-mime-data-2.18.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="5"
@@ -12,7 +12,7 @@ HOMEPAGE="https://www.gnome.org/"
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
IUSE=""
RDEPEND=""
diff --git a/gnome-base/gnome-shell/Manifest b/gnome-base/gnome-shell/Manifest
index 189bd8c63858..068694653c3a 100644
--- a/gnome-base/gnome-shell/Manifest
+++ b/gnome-base/gnome-shell/Manifest
@@ -1,3 +1,4 @@
DIST gnome-shell-3.36.7-patchset.tar.xz 6364 BLAKE2B 80a2e2a03e4cc3b15db6af872a2330c0921a63bcd03db78a970190fee93c982296b381d08ac4bd1cb5dbe5b14d9732e447445f5dcc06d607826a9026395f10bb SHA512 6f9145fd00117e6b4170e7457c83a8c3bbbbfc6086ce3bcd07813b5a4f05e58f42e889cc90799d6988af05fce9791a792e4d8d60ffe58818563c852f9923930d
DIST gnome-shell-3.36.7.tar.xz 1777236 BLAKE2B 4dd3b98e8a2ffa711bffe0b3b78708c85c1979122ee71e7e0d7c55626a608ba4598071bf8659338c960ba4b0349e5b621b97f294a4961cf021b9047753136af5 SHA512 7275d1e2d2629abd2fbfae910a77c25485464e39f8317ba1b0e8e1ae3368e69af4eb85c2611e82ea04270bfd8185e24f13002df9b13335adbdff144847790656
DIST gnome-shell-3.38.2.tar.xz 1814152 BLAKE2B 765f584ad8f71ac185e9dc6683f1866308c126d8ce8ba9330068e324ea9586b57315cf7feade62eb4142bb3a4effd80c7e6e0d7b36b6c5fb7d547e3bff9c2ab2 SHA512 ac37549039a11f4f1b2cdd8b0f8cab72093efca74a5909ad187121565cce737c6a6f296c7241ac5f2174fdfcf11070f7584e713e244fafc911fe039d8fd05f04
+DIST gnome-shell-3.38.3.tar.xz 1815204 BLAKE2B 1df05f0a3709d851d9bb01c8d8f82b3e36aa1da68256198afe7f5663bbf3dc3b88148220b4f90a1ab3eb3d2a14e370dc038e9afd73c57133f9535423b074ac27 SHA512 695446a934b3e5f8512084cb4eaba3e27aec0e03041890fb2a7a9eb4d91d3a9f2f5ca94a8616ce4e7303a2073fda7878425ba31bf590c448132f379fa7138d47
diff --git a/gnome-base/gnome-shell/gnome-shell-3.38.3.ebuild b/gnome-base/gnome-shell/gnome-shell-3.38.3.ebuild
new file mode 100644
index 000000000000..ecda21f55d22
--- /dev/null
+++ b/gnome-base/gnome-shell/gnome-shell-3.38.3.ebuild
@@ -0,0 +1,186 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit gnome.org gnome2-utils meson python-single-r1 virtualx xdg
+
+DESCRIPTION="Provides core UI functions for the GNOME 3 desktop"
+HOMEPAGE="https://wiki.gnome.org/Projects/GnomeShell"
+
+LICENSE="GPL-2+ LGPL-2+"
+SLOT="0"
+IUSE="+bluetooth +browser-extension elogind gtk-doc +ibus +networkmanager systemd telepathy"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}
+ ?? ( elogind systemd )"
+
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+
+# libXfixes-5.0 needed for pointer barriers and #include <X11/extensions/Xfixes.h>
+# FIXME:
+# * gstreamer/pipewire support is currently automagic
+DEPEND="
+ >=gnome-extra/evolution-data-server-3.33.1:=
+ >=app-crypt/gcr-3.7.5[introspection]
+ >=dev-libs/glib-2.57.2:2
+ >=dev-libs/gobject-introspection-1.49.1:=
+ >=dev-libs/gjs-1.65.1
+ >=x11-libs/gtk+-3.15.0:3[introspection]
+ >=x11-wm/mutter-3.38.0:0/7[introspection]
+ >=sys-auth/polkit-0.100[introspection]
+ >=gnome-base/gsettings-desktop-schemas-3.33.1
+ >=x11-libs/startup-notification-0.11
+ >=app-i18n/ibus-1.5.2
+ >=gnome-base/gnome-desktop-3.35.90:3=[introspection]
+ bluetooth? ( >=net-wireless/gnome-bluetooth-3.9[introspection] )
+ >=media-libs/gstreamer-0.11.92:1.0
+ media-libs/gst-plugins-base:1.0
+ >=media-video/pipewire-0.3.0:0/0.3
+ networkmanager? (
+ >=net-misc/networkmanager-1.10.4:=[introspection]
+ net-libs/libnma[introspection]
+ >=app-crypt/libsecret-0.18
+ dev-libs/dbus-glib )
+ systemd? ( >=sys-apps/systemd-242
+ >=gnome-base/gnome-desktop-3.34.2:3=[systemd] )
+ elogind? ( >=sys-auth/elogind-237 )
+ app-arch/gnome-autoar
+ dev-libs/json-glib
+
+ >=app-accessibility/at-spi2-atk-2.5.3
+ x11-libs/gdk-pixbuf:2[introspection]
+ dev-libs/libxml2:2
+ x11-libs/libX11
+
+ >=media-sound/pulseaudio-2[glib]
+ >=dev-libs/atk-2[introspection]
+ dev-libs/libical:=
+ >=x11-libs/libXfixes-5.0
+
+ ${PYTHON_DEPS}
+ $(python_gen_cond_dep '
+ dev-python/pygobject:3[${PYTHON_MULTI_USEDEP}]
+ ')
+ media-libs/mesa[X(+)]
+"
+# Runtime-only deps are probably incomplete and approximate.
+# Introspection deps generated using:
+# grep -roe "imports.gi.*" gnome-shell-* | cut -f2 -d: | sort | uniq
+# Each block:
+# 1. Introspection stuff needed via imports.gi.*
+# 2. gnome-session needed for shutdown/reboot/inhibitors/etc
+# 3. Control shell settings
+# 4. logind interface needed for suspending support
+# 5. xdg-utils needed for xdg-open, used by extension tool
+# 6. adwaita-icon-theme needed for various icons & arrows (3.26 for new video-joined-displays-symbolic and co icons; review for 3.28+)
+# 7. mobile-broadband-provider-info, timezone-data for shell-mobile-providers.c # TODO: Review
+# 8. IBus is needed for nls integration
+# 9. Optional telepathy chat integration
+# 10. Cantarell font used in gnome-shell global CSS (if removing this for some reason, make sure it's pulled in somehow for non-meta users still too)
+# 11. TODO: semi-optional webkit-gtk[introspection] for captive portal helper
+RDEPEND="${DEPEND}
+ >=sys-apps/accountsservice-0.6.14[introspection]
+ app-accessibility/at-spi2-core:2[introspection]
+ app-misc/geoclue[introspection]
+ >=dev-libs/libgweather-3.26:2[introspection]
+ >=sys-power/upower-0.99:=[introspection]
+ x11-libs/pango[introspection]
+ gnome-base/librsvg:2[introspection]
+
+ >=gnome-base/gnome-session-2.91.91
+ >=gnome-base/gnome-settings-daemon-3.8.3
+
+ x11-misc/xdg-utils
+
+ >=x11-themes/adwaita-icon-theme-3.26
+
+ networkmanager? (
+ net-misc/mobile-broadband-provider-info
+ sys-libs/timezone-data )
+ ibus? ( >=app-i18n/ibus-1.4.99[dconf(+),gtk,introspection] )
+ telepathy? (
+ >=net-im/telepathy-logger-0.2.4[introspection]
+ >=net-libs/telepathy-glib-0.19[introspection] )
+ media-fonts/cantarell
+"
+# avoid circular dependency, see bug #546134
+PDEPEND="
+ >=gnome-base/gdm-3.5[introspection]
+ >=gnome-base/gnome-control-center-3.26[bluetooth(+)?,networkmanager(+)?]
+ browser-extension? ( gnome-extra/chrome-gnome-shell )
+"
+BDEPEND="
+ dev-lang/sassc
+ dev-libs/libxslt
+ app-text/asciidoc
+ >=dev-util/gdbus-codegen-2.45.3
+ dev-util/glib-utils
+ gtk-doc? ( >=dev-util/gtk-doc-1.17
+ app-text/docbook-xml-dtd:4.3 )
+ >=sys-devel/gettext-0.19.8
+ virtual/pkgconfig
+"
+
+PATCHES=(
+ # Fix automagic gnome-bluetooth dep, bug #398145
+ "${FILESDIR}"/3.34-optional-bluetooth.patch
+ # Change favorites defaults, bug #479918
+ "${FILESDIR}"/3.36-defaults.patch
+)
+
+src_prepare() {
+ xdg_src_prepare
+ # Hack in correct python shebang
+ sed -e "s:python\.path():'/usr/bin/env ${EPYTHON}':" -i src/meson.build || die
+}
+
+src_configure() {
+ local emesonargs=(
+ $(meson_use bluetooth)
+ -Dextensions_tool=true
+ -Dextensions_app=true
+ $(meson_use gtk-doc gtk_doc)
+ -Dman=true
+ $(meson_use networkmanager)
+ $(meson_use systemd) # this controls journald integration and desktop file user services related property only as of 3.34.4
+ # (structured logging and having gnome-shell launched apps use its own identifier instead of gnome-session)
+ # suspend support is runtime optional via /run/systemd/seats presence and org.freedesktop.login1.Manager dbus interface; elogind should provide what's necessary
+ )
+ meson_src_configure
+}
+
+src_test() {
+ virtx meson_src_test
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+ gnome2_schemas_update
+
+ if ! has_version 'media-libs/gst-plugins-good:1.0' || \
+ ! has_version 'media-plugins/gst-plugins-vpx:1.0'; then
+ ewarn "To make use of GNOME Shell's built-in screen recording utility,"
+ ewarn "you need to either install media-libs/gst-plugins-good:1.0"
+ ewarn "and media-plugins/gst-plugins-vpx:1.0, or use dconf-editor to change"
+ ewarn "apps.gnome-shell.recorder/pipeline to what you want to use."
+ fi
+
+ if ! has_version "media-libs/mesa[llvm]"; then
+ elog "llvmpipe is used as fallback when no 3D acceleration"
+ elog "is available. You will need to enable llvm USE for"
+ elog "media-libs/mesa if you do not have hardware 3D setup."
+ fi
+
+ # https://bugs.gentoo.org/show_bug.cgi?id=563084
+ # TODO: Is this still the case after various fixed in 3.28 for detecting non-working KMS for wayland (to fall back to X)?
+ if has_version "x11-drivers/nvidia-drivers[-kms]"; then
+ ewarn "You will need to enable kms support in x11-drivers/nvidia-drivers,"
+ ewarn "otherwise Gnome will fail to start"
+ fi
+}
+
+pkg_postrm() {
+ xdg_pkg_postrm
+ gnome2_schemas_update
+}
diff --git a/gnome-base/gnome-vfs/gnome-vfs-2.24.4-r5.ebuild b/gnome-base/gnome-vfs/gnome-vfs-2.24.4-r5.ebuild
index 2d74d7c50016..ace27c50d468 100644
--- a/gnome-base/gnome-vfs/gnome-vfs-2.24.4-r5.ebuild
+++ b/gnome-base/gnome-vfs/gnome-vfs-2.24.4-r5.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=5
@@ -13,7 +13,7 @@ HOMEPAGE="https://www.gnome.org/"
LICENSE="GPL-2 LGPL-2"
SLOT="2"
-KEYWORDS="~alpha amd64 arm ~arm64 ~ia64 ~mips ppc ppc64 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~x86-solaris"
+KEYWORDS="~alpha amd64 arm ~arm64 ~ia64 ~mips ppc ppc64 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~sparc-solaris ~x86-solaris"
IUSE="acl gnutls ipv6 kerberos libressl samba ssl zeroconf"
RDEPEND="
diff --git a/gnome-base/gsettings-desktop-schemas/gsettings-desktop-schemas-3.34.0.ebuild b/gnome-base/gsettings-desktop-schemas/gsettings-desktop-schemas-3.34.0.ebuild
index 74512d7821ae..f096ec15dd5a 100644
--- a/gnome-base/gsettings-desktop-schemas/gsettings-desktop-schemas-3.34.0.ebuild
+++ b/gnome-base/gsettings-desktop-schemas/gsettings-desktop-schemas-3.34.0.ebuild
@@ -10,7 +10,7 @@ HOMEPAGE="https://git.gnome.org/browse/gsettings-desktop-schemas"
LICENSE="LGPL-2.1+"
SLOT="0"
IUSE="+introspection"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 s390 sparc x86 ~amd64-linux ~x86-linux ~x64-macos ~sparc-solaris ~x86-solaris"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 s390 sparc x86 ~amd64-linux ~x86-linux ~x64-macos ~sparc-solaris ~x86-solaris"
DEPEND="!<gnome-base/gdm-3.8"
RDEPEND="${DEPEND}"
diff --git a/gnome-base/gsettings-desktop-schemas/gsettings-desktop-schemas-3.36.1.ebuild b/gnome-base/gsettings-desktop-schemas/gsettings-desktop-schemas-3.36.1.ebuild
index 7d8eb077cbb8..a0350d3fe224 100644
--- a/gnome-base/gsettings-desktop-schemas/gsettings-desktop-schemas-3.36.1.ebuild
+++ b/gnome-base/gsettings-desktop-schemas/gsettings-desktop-schemas-3.36.1.ebuild
@@ -10,7 +10,7 @@ HOMEPAGE="https://git.gnome.org/browse/gsettings-desktop-schemas"
LICENSE="LGPL-2.1+"
SLOT="0"
IUSE="+introspection"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 s390 sparc x86 ~amd64-linux ~x86-linux ~x64-macos ~sparc-solaris ~x86-solaris"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 s390 sparc x86 ~amd64-linux ~x86-linux ~x64-macos ~sparc-solaris ~x86-solaris"
BDEPEND="
introspection? ( >=dev-libs/gobject-introspection-1.54:= )
diff --git a/gnome-base/libglade/libglade-2.6.4-r3.ebuild b/gnome-base/libglade/libglade-2.6.4-r3.ebuild
index 45b79e442676..a287de2c2511 100644
--- a/gnome-base/libglade/libglade-2.6.4-r3.ebuild
+++ b/gnome-base/libglade/libglade-2.6.4-r3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -14,7 +14,7 @@ HOMEPAGE="https://library.gnome.org/devel/libglade/stable/"
LICENSE="LGPL-2"
SLOT="2.0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
IUSE="static-libs test"
RESTRICT="!test? ( test )"
diff --git a/gnome-base/libgnomecanvas/libgnomecanvas-2.30.3-r1.ebuild b/gnome-base/libgnomecanvas/libgnomecanvas-2.30.3-r1.ebuild
index f68e3014e302..1e832af54bea 100644
--- a/gnome-base/libgnomecanvas/libgnomecanvas-2.30.3-r1.ebuild
+++ b/gnome-base/libgnomecanvas/libgnomecanvas-2.30.3-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="5"
@@ -13,7 +13,7 @@ HOMEPAGE="https://library.gnome.org/devel/libgnomecanvas/stable/"
LICENSE="LGPL-2"
SLOT="0"
-KEYWORDS="~alpha amd64 arm ~arm64 ~ia64 ~mips ppc ppc64 sparc x86 ~amd64-linux ~x86-linux ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+KEYWORDS="~alpha amd64 arm ~arm64 ~ia64 ~mips ppc ppc64 sparc x86 ~amd64-linux ~x86-linux ~x64-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
IUSE="glade"
RDEPEND=">=dev-libs/glib-2.34.3:2[${MULTILIB_USEDEP}]
diff --git a/gnome-base/librsvg/Manifest b/gnome-base/librsvg/Manifest
index cde003b89c53..b09e9f20b48d 100644
--- a/gnome-base/librsvg/Manifest
+++ b/gnome-base/librsvg/Manifest
@@ -1,3 +1,4 @@
DIST librsvg-2.40.21.tar.xz 1655860 BLAKE2B a3fd7915d39984057e860da90115d9d95cef97e61d3f5e4c3aaaf399c4b3bfe781e6a7b969958ae84a3b7f2c788576fe26f56b037ca0a6a2e059b53f2bd1b9fc SHA512 db0563d8e0edaae642a6b2bcd239cf54191495058ac8c7ff614ebaf88c0e30bd58dbcd41f58d82a9d5ed200ced45fc5bae22f2ed3cf3826e9348a497009e1280
DIST librsvg-2.48.8.tar.xz 15302184 BLAKE2B 7d44b58d894afbeff0cb4606ed64191c028e7ac9d987dd3248b90df4ae0c000ee47b02484116bf7ee6e7aad567b91df7a2aae6880514f5ddee3ef4826c2e828e SHA512 7b35afbbad17927168acb3a308bff59ea66e8e1ac18c2ab5626a7d494e90d87d2dc552959ad72974d3ed8ba4c2f919335cf9110a0d0a09148e606222e4fcee43
DIST librsvg-2.48.9.tar.xz 15309204 BLAKE2B 2547f9eb2bb81c7c879356df0df674ba27a09e3b1f0eb8df99df7a9a9c5e6838e94e143f50a00a742a4fd7043c01b4f484cfa78c84c4d5e6ec281bde35fd98b2 SHA512 91fc480a9e9ff3755ed2685170a1fadea9232ab9a727a66da5085df09cd1a160cb8f443de7dec950799de5f4cb88b1ee33384107e316f573940147346c155a40
+DIST librsvg-2.50.2.tar.xz 16354004 BLAKE2B 485c14bf898fdcf2ad55cd6191eb5d315de73d02a34f15b528e36e64549f0eb2597b90d277c28d7d8d584b59c69f8eaa9f90820dcbaeb4a457d4ce1e2e2adf30 SHA512 f7e4990e1d74750246ec5816327c606607bb864ea7c44bce3ba9254a90b71692ed397e90343473d266f71eae3df7085c00e5a9a90b02d27ed6648e717d69fb45
diff --git a/gnome-base/librsvg/librsvg-2.40.21.ebuild b/gnome-base/librsvg/librsvg-2.40.21.ebuild
index 44a6e1505746..f16fab8717d7 100644
--- a/gnome-base/librsvg/librsvg-2.40.21.ebuild
+++ b/gnome-base/librsvg/librsvg-2.40.21.ebuild
@@ -1,73 +1,70 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
-GNOME2_LA_PUNT="yes"
+EAPI=7
+GNOME2_EAUTORECONF="yes"
VALA_USE_DEPEND="vapigen"
-inherit autotools eutils gnome2 multilib-minimal vala
+inherit autotools gnome2 multilib-minimal vala
DESCRIPTION="Scalable Vector Graphics (SVG) rendering library"
HOMEPAGE="https://wiki.gnome.org/Projects/LibRsvg"
LICENSE="LGPL-2+"
SLOT="2"
-KEYWORDS="~alpha arm hppa ~ia64 ~mips ppc s390 sparc x86 ~amd64-linux ~x86-linux ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+KEYWORDS="~alpha arm hppa ~ia64 ~mips ppc s390 sparc x86 ~amd64-linux ~x86-linux ~x64-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
IUSE="+introspection tools +vala"
REQUIRED_USE="vala? ( introspection )"
RDEPEND="
>=dev-libs/glib-2.34.3:2[${MULTILIB_USEDEP}]
- >=x11-libs/cairo-1.12.14-r4[${MULTILIB_USEDEP}]
- >=x11-libs/pango-1.38.0[${MULTILIB_USEDEP}]
- >=dev-libs/libxml2-2.9.1-r4:2[${MULTILIB_USEDEP}]
>=dev-libs/libcroco-0.6.8-r1[${MULTILIB_USEDEP}]
+ >=dev-libs/libxml2-2.9.1-r4:2[${MULTILIB_USEDEP}]
+ >=x11-libs/cairo-1.12.14-r4[${MULTILIB_USEDEP}]
>=x11-libs/gdk-pixbuf-2.30.7:2[introspection?,${MULTILIB_USEDEP}]
+ >=x11-libs/pango-1.38.0[${MULTILIB_USEDEP}]
introspection? ( >=dev-libs/gobject-introspection-0.10.8:= )
tools? ( >=x11-libs/gtk+-3.10.0:3 )
"
-DEPEND="${RDEPEND}
+DEPEND="${RDEPEND}"
+BDEPEND="
dev-libs/gobject-introspection-common
dev-libs/vala-common
dev-util/glib-utils
>=dev-util/gtk-doc-am-1.13
virtual/pkgconfig
+ x11-libs/gdk-pixbuf
vala? ( $(vala_depend) )
"
# >=gtk-doc-am-1.13, gobject-introspection-common, vala-common needed by eautoreconf
RESTRICT="test" # Lots of issues due to freetype changes and more; ever since newer tests got backported into 2.40.19
-src_prepare() {
+PATCHES=(
# https://bugzilla.gnome.org/show_bug.cgi?id=653323
- eapply "${FILESDIR}/${PN}-2.40.12-gtk-optional.patch"
-
- eautoreconf
+ "${FILESDIR}/${PN}-2.40.12-gtk-optional.patch"
+)
+src_prepare() {
use vala && vala_src_prepare
gnome2_src_prepare
}
multilib_src_configure() {
- local myconf=()
+ local myconf=(
+ --disable-static
+ --disable-tools # only useful for librsvg developers
+ $(multilib_native_use_enable introspection)
+ $(multilib_native_use_with tools gtk3)
+ $(multilib_native_use_enable vala)
+ --enable-pixbuf-loader
+ )
# -Bsymbolic is not supported by the Darwin toolchain
- if [[ ${CHOST} == *-darwin* ]]; then
- myconf+=( --disable-Bsymbolic )
- fi
+ [[ ${CHOST} == *-darwin* ]] && myconf+=( --disable-Bsymbolic )
- # --disable-tools even when USE=tools; the tools/ subdirectory is useful
- # only for librsvg developers
- ECONF_SOURCE=${S} \
- gnome2_src_configure \
- --disable-static \
- --disable-tools \
- $(multilib_native_use_enable introspection) \
- $(multilib_native_use_with tools gtk3) \
- $(multilib_native_use_enable vala) \
- --enable-pixbuf-loader \
- "${myconf[@]}"
+ ECONF_SOURCE=${S} gnome2_src_configure "${myconf[@]}"
if multilib_is_native_abi; then
ln -s "${S}"/doc/html doc/html || die
diff --git a/gnome-base/librsvg/librsvg-2.50.2.ebuild b/gnome-base/librsvg/librsvg-2.50.2.ebuild
new file mode 100644
index 000000000000..01b20ea0c5c2
--- /dev/null
+++ b/gnome-base/librsvg/librsvg-2.50.2.ebuild
@@ -0,0 +1,94 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+VALA_USE_DEPEND="vapigen"
+
+inherit gnome2 multilib-minimal rust-toolchain vala
+
+DESCRIPTION="Scalable Vector Graphics (SVG) rendering library"
+HOMEPAGE="https://wiki.gnome.org/Projects/LibRsvg"
+
+LICENSE="LGPL-2+"
+SLOT="2"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+
+IUSE="+introspection +vala"
+REQUIRED_USE="vala? ( introspection )"
+
+RDEPEND="
+ >=x11-libs/cairo-1.16.0[${MULTILIB_USEDEP}]
+ >=media-libs/freetype-2.9:2[${MULTILIB_USEDEP}]
+ >=x11-libs/gdk-pixbuf-2.20:2[introspection?,${MULTILIB_USEDEP}]
+ >=dev-libs/glib-2.50.0:2[${MULTILIB_USEDEP}]
+ >=media-libs/harfbuzz-2.0.0:=[${MULTILIB_USEDEP}]
+ >=dev-libs/libxml2-2.9.1-r4:2[${MULTILIB_USEDEP}]
+ >=x11-libs/pango-1.38.0[${MULTILIB_USEDEP}]
+
+ introspection? ( >=dev-libs/gobject-introspection-0.10.8:= )
+"
+DEPEND="${RDEPEND}
+ >=virtual/rust-1.40[${MULTILIB_USEDEP}]
+ dev-util/glib-utils
+ >=sys-devel/gettext-0.19.8
+ virtual/pkgconfig
+ vala? ( $(vala_depend) )
+"
+# >=gtk-doc-am-1.13, gobject-introspection-common, vala-common needed by eautoreconf
+
+RESTRICT="test" # Lots of issues on 32bit builds, 64bit build seems to get into an infinite compilation sometimes, etc.
+
+src_prepare() {
+ use vala && vala_src_prepare
+ gnome2_src_prepare
+}
+
+multilib_src_configure() {
+ local myconf=(
+ --disable-static
+ --disable-debug
+ --disable-tools # the tools/ subdirectory is useful only for librsvg devs
+ $(multilib_native_use_enable introspection)
+ $(multilib_native_use_enable vala)
+ --enable-pixbuf-loader
+ )
+
+ if ! multilib_is_native_abi; then
+ myconf+=(
+ # Set the rust target, which can differ from CHOST
+ RUST_TARGET="$(rust_abi)"
+ # RUST_TARGET is only honored if cross_compiling, but non-native ABIs aren't cross as
+ # far as C parts and configure auto-detection are concerned as CHOST equals CBUILD
+ cross_compiling=yes
+ )
+ fi
+
+ ECONF_SOURCE=${S} \
+ gnome2_src_configure "${myconf[@]}"
+
+ if multilib_is_native_abi; then
+ ln -s "${S}"/doc/html doc/html || die
+ fi
+}
+
+multilib_src_compile() {
+ # causes segfault if set, see bug #411765
+ unset __GL_NO_DSO_FINALIZER
+ gnome2_src_compile
+}
+
+multilib_src_install() {
+ gnome2_src_install
+}
+
+pkg_postinst() {
+ # causes segfault if set, see bug 375615
+ unset __GL_NO_DSO_FINALIZER
+ multilib_foreach_abi gnome2_pkg_postinst
+}
+
+pkg_postrm() {
+ # causes segfault if set, see bug 375615
+ unset __GL_NO_DSO_FINALIZER
+ multilib_foreach_abi gnome2_pkg_postrm
+}